/*
*******************************************************************************
**
**  This device driver was created by Applilet2 for 78K0S/Kx1+
**  8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002 - 2012
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	 main.c
**  Abstract :	This file implements main function.
**  APIlib :	Applilet2 for 78K0S/Kx1+ V2.41 [9 Sep. 2008]
**
**  Device :	uPD78F9212
**
**  Compiler :	CC78K0S
**
**  Creation date:	2012/01/25
**  
*******************************************************************************
*/

/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "port.h"
#include "int.h"
#include "timer.h"
/* Start user code for include definition. Do not edit comment generated here */
/* End user code for include definition. Do not edit comment generated here */
#include "user_define.h"

/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
/* Start user code for global definition. Do not edit comment generated here */
/* End user code for global definition. Do not edit comment generated here */


/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function  implements main function.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
#define LIGHT					P2.2
#define SP_SEL					P2.3
#define ONSEI1					P4.0
#define ONSEI2					P4.1

unsigned char	onsei1_on;
unsigned char	onsei2_on;
unsigned int	onsei1_count;
unsigned int	onsei2_count;

unsigned char	data_ch;

unsigned char	in_data;

unsigned char	count;
unsigned int	rec[12];
unsigned char	count10_flg;
unsigned char	receive_err;
unsigned int	receive_no;


void	wait_time(unsigned int time)
{
	while(time!=0){
		time--;
	}
}

/*---------- receive signal check ----------*/
void	receive_hantei10(void){

	receive_err=0;
	if((rec[1]>=1900)&&(rec[1]<=2500)){}else{receive_err=1;return;}
	/*P2.2=0;P4.6=0;*/
	receive_no=0;
	if((rec[2]>=960)&(rec[2]<=1400)){receive_no=receive_no | 0x01;}
	if((rec[3]>=960)&(rec[3]<=1400)){receive_no=receive_no | 0x02;}
	if((rec[4]>=960)&(rec[4]<=1400)){receive_no=receive_no | 0x04;}
	if((rec[5]>=960)&(rec[5]<=1400)){receive_no=receive_no | 0x08;}
	if((rec[6]>=960)&(rec[6]<=1400)){receive_no=receive_no | 0x10;}
	if((rec[7]>=960)&(rec[7]<=1400)){receive_no=receive_no | 0x20;}
	if((rec[8]>=960)&(rec[8]<=1400)){receive_no=receive_no | 0x40;}
	if((rec[9]>=960)&(rec[9]<=1400)){receive_no=receive_no | 0x80;}

}


/*---------- MAIN ----------*/
void  main( void )
{

	count10_flg=0;
	onsei1_on=0;
	onsei2_on=0;
	onsei1_count=0;
	onsei2_count=0;

	SP_SEL=0;

	TMH1_Start();
	TM00_Start();
	INTP1_Enable();

	/* Start user code. Do not edit comment generated here */
	while (1) {
	/* key scan 1 */


		/*wait_time(200);*/


	/* key scan 2 */


	/* action */


	/* receive data hantei */
	
		if(count10_flg==1){
			count10_flg=0;
			receive_hantei10();
			if(receive_err==0){

				switch(receive_no){
					
					case 0x36:	if(onsei2_count==0){onsei1_on=1;onsei1_count=1;}
								break;
					case 0x37:	if(onsei1_count==0){onsei2_on=1;onsei2_count=1;}
								break;
					case 0x38:	
								break;
				}
				
			}
		}
				

	/*------------------*/
	
	
	
	
	
	
	
		;
	}
	/* End user code. Do not edit comment generated here */
}

/* Start adding user code. Do not edit comment generated here */
/* End user code adding. Do not edit comment generated here */


