/*
*******************************************************************************
**
**  This device driver was created by Applilet2 for 78K0S/Kx1+
**  8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002 - 2012
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	timer_user.c
**  Abstract :	This file implements device driver for Timer module.
**  APIlib :	Applilet2 for 78K0S/Kx1+ V2.41 [9 Sep. 2008]
**
**  Device :	uPD78F9212
**
**  Compiler :	CC78K0S
**
**  Creation date:	2012/01/25
**  
*******************************************************************************
*/

#pragma interrupt INTTM000 MD_INTTM000
#pragma interrupt INTTMH1 MD_INTTMH1
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "timer.h"
/* Start user code for include definition. Do not edit comment generated here */
/* End user code for include definition. Do not edit comment generated here */
#include "user_define.h"

/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
/* Start user code for global definition. Do not edit comment generated here */

#define LIGHT					P2.2
#define SP_SEL					P2.3
#define ONSEI1					P4.0
#define ONSEI2					P4.1

extern unsigned char	onsei1_on;
extern unsigned char	onsei2_on;
extern unsigned int		onsei1_count;
extern unsigned int		onsei2_count;

extern unsigned char	count;

/* End user code for global definition. Do not edit comment generated here */


/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTM000 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTM000(void)
{
	/* Start user code. Do not edit comment generated here */
		count=0;
	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTMH1 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTMH1(void)
{
	/* Start user code. Do not edit comment generated here */
	if(onsei1_on==1){ONSEI1=0;SP_SEL=0;}else{ONSEI1=1;}
	if(onsei2_on==1){ONSEI2=0;SP_SEL=1;}else{ONSEI2=1;}
	
	if(onsei1_count!=0){onsei1_count++;}
	if(onsei2_count!=0){onsei2_count++;}
	
	if((onsei1_count>100)){onsei1_on=0;}
	if((onsei2_count>100)){onsei2_on=0;}
	
	if((onsei1_count>7500)){onsei1_on=0;onsei1_count=0;}
	if((onsei2_count>7500)){onsei2_on=0;onsei2_count=0;SP_SEL=0;}
	
	/* End user code. Do not edit comment generated here */
}

/* Start adding user code. Do not edit comment generated here */
/* End user code adding. Do not edit comment generated here */


